### org.jfree.layouting.layouter.content.type

# Interface TextType

All Superinterfaces:
  ContentToken

Known Subinterfaces:
  FormattedTextType

Known Implementing Classes:
  FormattedContentToken, ResolvedCountersToken, ResolvedCounterToken, ResolvedStringToken, StaticTextToken

`public interface TextType`
`extends ContentToken`

A content type, that has an textual representation. It may be no surprise, that string content is text; images with an alt-description have text as well.

Author:
  Thomas Morgner

  ## Method Summary

  `String`

  `getText()`

## Method Details

### getText

    public String getText()